var APIBase = require("../../api.base");
var system = require("../../../system");
var settings = require("../../../../config/settings");

class IcOrderAPI extends APIBase {
    constructor() {
        super();
        this.orderSve = system.getObject("service.dborder.orderSve");
    }

    /**
     * 接口跳转-POST请求
     * action_process  执行的流程
     * action_type     执行的类型
     * action_body     执行的参数
     */
    async springBoard(pobj, qobj, req) {
        if (!pobj.actionProcess) {
            return system.getResult(null, "actionProcess参数不能为空");
        }
        if (!pobj.actionType) {
            return system.getResult(null, "actionType参数不能为空");
        }
        var result = null;
        switch (pobj.actionProcess) {
            case "jd"://京东
                result = await this.opActionProcess(pobj.actionProcess, pobj.actionType, pobj.actionBody, pobj, req);
                break;
            case "1688"://1688
                result = await this.opActionProcess(pobj.actionProcess, pobj.actionType, pobj.actionBody, pobj, req);
                break;
            case "gsbhome"://gsb_homepage
                result = await this.opActionProcess(pobj.actionProcess, pobj.actionType, pobj.actionBody, pobj, req);
                break;
            default:
                result = system.getResult(null, "actionProcess参数错误");
                break;
        }
        return result;
    }

    async opActionProcess(action_process, action_type, action_body, pobj, req) {
        action_body.app = req.app;
        action_body.user = req.user;
        var opResult = null;
        if (["getIcOrderList", "addOrderAndDelivery"].indexOf(action_type) >= 0) {
            if (!action_body.channelUserId) {
                return system.getResult(null, "verify channelUserId is empty");
            }
        }
        switch (action_type) {
            case "addOrderAndDelivery"://创建订单和交付单
                opResult = await this.orderSve.addOrderAndDelivery(action_body, pobj, req);
                pobj.actionBody.quantity = 1;
                pobj.actionBody.channelOrder = {};
                pobj.actionBody.channelOrder.channelServiceNo = pobj.actionBody.needNo;
                pobj.actionBody.channelOrder.channelOrderNo = pobj.actionBody.needNo;
                pobj.actionBody.channelOrder.payTime = new Date();
                pobj.actionBody.channelOrder.orderStatus = 2;//订单状态dfk: 1: 待付款, 2: 已付款, 4: 待服务, 8: 已完成
                pobj.actionBody.orderContact = {};
                pobj.actionBody.orderContact.mobile = pobj.actionBody.buyerMoblie;
                pobj.actionBody.orderContact.email = pobj.actionBody.email;
                let tmpResult = await this.orderSve.addQifuOrder(pobj, pobj.actionBody, req);
                this.execClientNew.execLogs("igirl-channel-addOrderAndDelivery", pobj, "igirl-channel-addOrderAndDelivery", tmpResult, null);
                break;
            case "getOrderDetailByOrderNo"://获取订单详情
                opResult = system.getResultSuccess(null, "测试成功");
                break;
            case "getIcOrderList"://工商交付列表            
                opResult = system.getResultSuccess(null, "测试成功");
                break;
            case "getIcOrderListAdmin"://工商交付列表  
                opResult = system.getResultSuccess(null, "测试成功");
                break;
            default:
                opResult = system.getResult(null, "action_type参数错误");
                break;
        }
        return opResult;
    }
}

module.exports = IcOrderAPI;