const CacheBase = require("../cache.base");
const system = require("../../system");
const settings = require("../../../config/settings");
class AppTokenByHostsCache extends CacheBase {
  constructor() {
    super();
    this.opPlatformUtils = system.getObject("util.businessManager.opPlatformUtils");
    this.restClient = system.getObject("util.restClient");
    this.appDao = system.getObject("db.dbapp.appDao");
  }
  desc() {
    return "应用中缓存访问token";
  }
  prefix() {
    return settings.cacheprefix + "_accessTokenKey:";
  }
  async buildCacheVal(cachekey, inputkey, val, ex, ...items) {
    var pobj = val;
    var item = await this.appDao.getItemByUappKey(pobj.appkey, pobj.secret);
    if (!item) {
      return system.getResult(null, "params to data is empty ！");
    }
    if (item.status != 1) {
      return system.getResult(null, "params to item is Disable ！");
    }
    var result = await this.opPlatformUtils.getReqApiAccessKey(pobj.appkey, pobj.secret);
    if (!result) {
      return system.getResult(null, "platform to data is empty ！");
    }
    if (result.status != 0) {
      return result;
    }
    item.token = result.data.accessKey;
    return system.getResultSuccess(item);
  }
}
module.exports = AppTokenByHostsCache;
