<a name="menu" href="/doc">返回主目录</a>
1. [产品列表-根据产品大类获取](#getProductListByOneCode)
1. [产品列表-根据产品二类获取](#getProductListByTwoCode)
1. [产品详情](#getProductDetail)
1. [获取订单列表信息](#getOrderInfo)
1. [获取公司注册详情信息](#getIcbcOrderDetails)
1. [获取工商订单交付流程信息](#getIcbcOrderDeliveryFlowInfo)


## **<a name="getProductListByOneCode"> 产品列表-根据产品大类编码获取</a>**
[返回到目录](#menu)
##### URL
[/action/product/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：getProductList

``` javascript
{
    "pathCode":"gsfu" //查询的路径：大类code
}

```

#### 返回结果 0为成功，否则为失败
```javascript
{
    "status": 0,
    "msg": "success",
    "data": [
        {            
            "uapp_id": 26,//平台id--显示不用
            "path_code": "/sbfu/sbzc/",//产品路径编码--显示不用
            "path_name": "/商标服务/商标注册/",//产品路径名称--显示不用
            "item_code": "zzsbzc",//产品code
            "item_name": "商标注册【自助申请】",//产品名称
            "channel_item_code": "zzsbzc",//渠道产品code
            "channel_item_name": "商标注册【自助申请】",//渠道产品名称
            "pic_url": "http://gsb-zc.oss-cn-beijing.aliyuncs.com/zc_qft_pi15755163570461.png",//产品的图片
            "product_short_desc": "适合熟知商标注册流程的企业用户",  //产品的介绍
            "product_desc": "[\"自己检索商标,准备官方所需注册材料\",\"提交迅速,及时反馈\",\"全流程跟踪,掌握申请进度\"]",  //产品的描述列表
            "desc_url": null,//产品介绍图片地址
            "icon_url": null,//产品的icon
            "productType_id": 2,//产品类型id--显示用不到
            "sort": 1,//排序
            "pay_code": "zzsbzc-1", //支付价格code
            "service_charge": 30,//服务费
            "public_expense": 270,//官费
            "price": 300,//价格
            "price_type": "mj",//定价类型：mj:每件,mc:每次,mt:每天,my:每月,mn:每年,qj:区间
            "price_type_name": "每件",//定价类型名称
            "price_desc": "每件(10小项)",//定价描述
            "min_qty": null,//区间最小值
            "max_qty": null//区间最大值
        }
    ],getOrderList
    "rgetOrderList
}
```

## **<a name="getProductListByTwoCode"> 产品列表-根据产品二类获取</a>**
[返回到目录](#menu)
##### URL
[/action/product/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：getProductList

``` javascript
{
     "pathCode":"gsfu/gszc" //查询的路径：大类code/二类code
}

```getOrderInfo

#### 返回结果 0为成功，否则为失败
```javascript
{
    "status": 0,
    "msg": "success",
    "data": [
        {
            "uapp_id": 26,//平台id--显示不用
            "path_code": "/sbfu/sbzc/",//产品路径编码--显示不用
            "path_name": "/商标服务/商标注册/",//产品路径名称--显示不用
            "item_code": "zzsbzc",//产品code
            "item_name": "商标注册【自助申请】",//产品名称
            "channel_item_code": "zzsbzc",//渠道产品code
            "channel_item_name": "商标注册【自助申请】",//渠道产品名称
            "pic_url": "http://gsb-zc.oss-cn-beijing.aliyuncs.com/zc_qft_pi15755163570461.png",//产品的图片
            "product_short_desc": "适合熟知商标注册流程的企业用户",  //产品的介绍
            "product_desc": "[\"自己检索商标,准备官方所需注册材料\",\"提交迅速,及时反馈\",\"全流程跟踪,掌握申请进度\"]",  //产品的描述列表
            "desc_url": null,//产品介绍图片地址
            "icon_url": null,//产品的icon
            "productType_id": 2,//产品类型id--显示用不到
            "sort": 1,//排序
            "pay_code": "FW_GOODS-582246-1", //支付价格code----京东合作的跳转到京东详情页面，和之前的一样
            "service_charge": 30,//服务费
            "public_expense": 270,//官费
            "price": 300,//价格
            "price_type": "mj",//定价类型：mj:每件,mc:每次,mt:每天,my:每月,mn:每年,qj:区间
            "price_type_name": "每件",//定价类型名称
            "price_desc": "每件(10小项)",//定价描述
            "min_qty": null,//区间最小值
            "max_qty": null//区间最大值
        },
        {
            "uapp_id": 31,
            "path_code": "/gsfu/gszc/",
            "path_name": "/工商服务/公司注册/",
            "item_code": "shgszc",
            "item_name": "公司注册（上海）",
            "channel_item_code": "FW_GOODS-582246-1",
            "channel_item_name": "京东云PLUS公司注册（上海）",
            "pic_url": null,
            "product_short_desc": null,
            "product_desc": null,
            "desc_url": null,
            "icon_url": null,
            "productType_id": 4,
            "sort": 30,
            "pay_code": "FW_GOODS-582246-2",
            "service_charge": 120,
            "public_expense": 0,
            "price": 500,
            "price_type": "mj",
            "price_type_name": "每件",
            "price_desc": "杨浦内资小规模",
            "min_qty": null,
            "max_qty": null
        },
    ],
    "requestId": "c39ee8a924074904b1694dd3bf2d6c4b"
}
```

## **<a name="getProductDetail"> 产品详情</a>**
[返回到目录](#menu)
##### URL
[/action/product/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：getProductDetail

``` javascript
{
	"channelItemCode":"zzsbzc"getOrderInfo
}

```

#### 返回结果 0为成功，否则为失败
```javascript
{
    "status": 0,
    "msg": "success",
    "data": {
        "id": 1,//产品Id
        "uapp_id": 26,
        "path_code": "/sbfu/sbzc/",
        "path_name": "/商标服务/商标注册/",
        "item_code": "zzsbzc",
        "item_name": "商标注册【自助申请】",
        "channel_item_code": "zzsbzc",
        "channel_item_name": "商标注册【自助申请】",
        "pic_url": "http://gsb-zc.oss-cn-beijing.aliyuncs.com/zc_qft_pi15755163570461.png",
        "product_short_desc": "适合熟知商标注册流程的企业用户",  //产品的介绍
        "product_desc": "[\"自己检索商标,准备官方所需注册材料\",\"提交迅速,及时反馈\",\"全流程跟踪,掌握申请进度\"]",  //产品的描述列表
        "desc_url": null,
        "icon_url": null,
        "productType_id": 2,
        "price_list": [
            {
                "pay_code": "zzsbzc-1", //支付价格code
                "price": 300,
                "supply_price": 270,
                "service_charge": 30,
                "public_expense": 270,
                "is_default": 1,//是否默认，1默认，0不是默认
                "price_type": "mj",
                "price_type_name": "每件",
                "sort": 1,
                "price_desc": "每件(10小项)",
                "min_qty": null,
                "max_qty": null
            },
            {
                "pay_code": "zzsbzc-2", //支付价格code
                "price": 580,
                "supply_price": 540,
                "service_charge": 40,
                "public_expense": 540,
                "is_default": 0,
                "price_type": "mj",
                "price_type_name": "每件",
                "sort": 2,
                "price_desc": "2件(20小项)",
                "min_qty": null,
                "max_qty": null
            }
        ]
    },
    "requestId": "5913fc3ae97a402e93330c2d488f1f7e"
}

```

## **<a name="getOrderInfo"> 获取订单列表信息</a>**
[返回到目录](#menu)
##### UR
[/action/tmOrder/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 请求头中需要增加userpin（用户登录后的凭证）的值
#### 渠道执行的类型 actionType：getOrderInfo

``` javascript
{
    "channelUserId":"15010929366",// Y 渠道用户Id
    "pageIndex":1,// Y 当前页
    "pageSize":20,// Y 每页大小，最大为50
    "channelItemName":"",// N 产品名称
    "channelServiceNo":"",// N 渠道订单号
    "orderStatus":"",// N 订单状态
    "startTime": "2019-10-27",// N 开始时间
    "entTime": "2019-10-31"// N 结束时间
}

```

#### 返回结果
```javascript
{
    "status": 0,// 0为成功，否则失败
    "msg": "success",
    "dataCount":2,//总条数
    "data": [
        {
            "orderNo": "OT31202002191443AVlJ",// 订单号
            "channelServiceNo": "",//渠道服务号
            "channelOrderNo": "",//渠道订单号列表，格式：XX1,XX2
            "channelUserId": "15010929366",//渠道用户Id
            "ownerUserId": "15010929366",//拥有者Id
            "payTime": null,//支付时间
            "quantity": 1,//订单数量
            "serviceQuantity": 0,//订单服务数量
            "orderStatusName": "待付款",//订单状态名称
            "orderStatus": 1,//订单状态编码: 1: 待付款, 2: 已付款, 4: 待服务, 8: 已完成
            "totalSum": "10.00",//订单金额
            "payTotalSum": "10.00",//订单支付金额
            "refundSum": "0.00",//退款金额
            "invoiceApplyStatus": "00",//发票申请状态
            "opNotes": "",//操作备注
            "channelItemCode": "FW_GOODS-582221-1",//渠道产品编码
            "channelItemName": "京东云PLUS公司注册（北京市）",//渠道产品名称
            "serviceItemCode": null,//服务产品编码
            "picUrl": null,//产品图片地址
            "created_at":""//下单时间
        },
        {
            "orderNo": "OT31202002191456tDU7",
            "channelServiceNo": "0001",
            "channelOrderNo": "",
            "channelUserId": "15010929366",
            "ownerUserId": "15010929366",
            "payTime": "2020",
            "quantity": 1,
            "serviceQuantity": 0,
            "orderStatusName": "已付款",
            "orderStatus": 2,
            "totalSum": "10.00",
            "payTotalSum": "10.00",
            "refundSum": "0.00",
            "invoiceApplyStatus": "00",
            "opNotes": "",
            "channelItemCode": "FW_GOODS-582221-1",
            "channelItemName": "京东云PLUS公司注册（北京市）",
            "serviceItemCode": null,
            "picUrl": null,
            "created_at":""
        }
    ],
    "requestId": "92ced0cb4d地址cb4125a4b515227f3eabe1"
}

```






## **<a name="getIcbcOrderDetails"> 获取公司注册详情信息</a>**
[返回到目录](#menu)
##### URL
[/action/tmOrder/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：getIcbcOrderDetails
``` javascript
    {
        "idempotentNo":"203915601880842"   //Y string 订单号（orderNo）
    }
```

#### 返回结果
```javascript
   {
    "status": 0,//0成功，否则失败
    "msg": "ok",
    "data": {
        "orgType": "股份有限公司", //--公司组织形式(股份 有限 集团)
        "addressType": "自有地址",//--地址类型（自有地址,非自有地址）
        "companyName": "申达股份电饭锅",//--公司名称（全称）
        "capital": "1000",//--注册资本（万元）
        "detailAddress": "朝阳区来广营西路8号国创产业园6号楼B门3层东1区",//--详细办公地址
        "industryType": "不限行业（金融投资除外）",//--公司行业分类
        "area": "北京市-北京市-朝阳区",//--注册区域 （朝阳区）		
		"scope": "实业投资;股权投资;投资咨询;资产管理;税务服务;财务、税务咨询服务;互联网软、硬件产品研发、销售、技术服务、系统集成服务;数据服务;金属材料热处理及表面改性设备的技术开发、技术咨询、制造、销售及维修服务;房屋、设备租赁。(依法须经批准的项目,经相关部门批准后方可开展经营活动)",//--经营范围
        "capiDate": "20年",//--实缴日期
		"companyType": "内资",//--公司类型(内资 外资 合资)
		"deadline": "20年",//--经营期限
		"city": "北京市",//--注册城市 （北京市）----接口暂时没有返回
		"taxpayerType": "小规模",//--纳税人类别（小规模,一般纳税人）----接口暂时没有返回
		"depositRatio": "6%",//--公积金缴存比例----接口暂时没有返回
		"remark": "备注"// ----接口暂时没有返回
        "attachFiles": [//--附件文件列表
            {
                "name": "租房合同 - 副本.png",//--附件名称
                "type": "租赁合同扫描件",//--附件类型（业务类型）
                "suffix": "png",//--文件后缀
                "url": "https://fengqing-cts-private.oss-cn-beijing.aliyuncs.com/upfile/1558061571923E4ECB747/%E7%A7%9F%E6%88%BF%E5%90%88%E5%90%8C+-+%E5%89%AF%E6%9C%AC.png?OSSAccessKeyId=LTAI4JXJQMbTL2EQ&Expires=1582173111&Signature=1HotwH1GwqUYMGedkXptd80A7Ek%3D&x-oss-process=image%2Fauto-orient%2C0"//--文件地址
            },
            {
                "name": "租房合同.png",
                "type": "租赁合同扫描件",
                "suffix": "png",
                "url": "https://fengqing-cts-private.oss-cn-beijing.aliyuncs.com/upfile/1558061571923D1EEF06B/%E7%A7%9F%E6%88%BF%E5%90%88%E5%90%8C.png?OSSAccessKeyId=LTAI4JXJQMbTL2EQ&Expires=1582173111&Signature=OtZs%2Bjrx3%2Bz%2BSxxVUHIbgtRNa3w%3D&x-oss-process=image%2Fauto-orient%2C0"
            },
            {
                "name": "租赁.jpg",
                "type": "租赁合同扫描件",
                "suffix": "jpg",
                "url": "https://fengqing-cts-private.oss-cn-beijing.aliyuncs.com/upfile/1558061571924A10E79E5/%E7%A7%9F%E8%B5%81.jpg?OSSAccessKeyId=LTAI4JXJQMbTL2EQ&Expires=1582173111&Signature=f7txi5hWMbNRbKWOg5bYMTUaUU4%3D&x-oss-process=image%2Fauto-orient%2C0"
            },
            {
                "name": "产权证啊啊啊啊.jpg",
                "type": "产权证复印件",
                "suffix": "jpg",
                "url": "https://fengqing-cts-private.oss-cn-beijing.aliyuncs.com/upfile/1558061571916C49A39CC/%E4%BA%A7%E6%9D%83%E8%AF%81%E5%95%8A%E5%95%8A%E5%95%8A%E5%95%8A.jpg?OSSAccessKeyId=LTAI4JXJQMbTL2EQ&Expires=1582173111&Signature=6Jl%2FcU3lB54IpkmocuktlEf8D4M%3D&x-oss-process=image%2Fauto-orient%2C0"
            },
            {
                "name": "是否产权人.png",
                "type": "产权人身份证复印件",
                "suffix": "png",
                "url": "https://fengqing-cts-private.oss-cn-beijing.aliyuncs.com/upfile/1558061571918AEF732F0/%E6%98%AF%E5%90%A6%E4%BA%A7%E6%9D%83%E4%BA%BA.png?OSSAccessKeyId=LTAI4JXJQMbTL2EQ&Expires=1582173111&Signature=Nvfeqf%2BHumfvVDNUDb0zYShnx84%3D&x-oss-process=image%2Fauto-orient%2C0"
            },
            {
                "name": "住所证明.jpg",
                "type": "住所证明扫描件",
                "suffix": "jpg",
                "url": "https://fengqing-cts-private.oss-cn-beijing.aliyuncs.com/upfile/155806157191768E516AB/%E4%BD%8F%E6%89%80%E8%AF%81%E6%98%8E.jpg?OSSAccessKeyId=LTAI4JXJQMbTL2EQ&Expires=1582173111&Signature=Nzt8kh2DPQaSsWKDdqEAWHRAjdY%3D&x-oss-process=image%2Fauto-orient%2C0"
            },
            {
                "name": "营业执照.png",
                "type": "公司营业执照",
                "suffix": "png",
                "url": "https://fengqing-cts-private.oss-cn-beijing.aliyuncs.com/upfile/1558061571913847624AD/%E8%90%A5%E4%B8%9A%E6%89%A7%E7%85%A7.png?OSSAccessKeyId=LTAI4JXJQMbTL2EQ&Expires=1582173111&Signature=i6KkUJLLrDdIZDudCs1pcnYAo0M%3D&x-oss-process=image%2Fauto-orient%2C0"
            }
        ],
        "shareholder": [//--自然人股东/出资比例
            {
                "idCardUrlBack": "https://fengqing-cts-private.oss-cn-beijing.aliyuncs.com/upfile/1558061571920B5CD801B/%E6%AC%A1%E6%AC%A1+%E5%8F%8D.jpg?OSSAccessKeyId=LTAI4JXJQMbTL2EQ&Expires=1582173111&Signature=BbvvNUbP1icAVS6bKXSshFv7MAU%3D&x-oss-process=image%2Fauto-orient%2C0",//--身份证背面（附件）
                "idCard": "146546465464646464",//--身份证
                "phone": "18946164646",//--联系电话
                "stockPercent": "100%",//--出资比例
                "idCardUrlFace": "https://fengqing-cts-private.oss-cn-beijing.aliyuncs.com/upfile/155806159031860490969/ff.jpg?OSSAccessKeyId=LTAI4JXJQMbTL2EQ&Expires=1582173111&Signature=4%2Bj4a9HFJHkSNbaWc9%2By%2FUVqDNQ%3D&x-oss-process=image%2Fauto-orient%2C0",//--身份证正面（附件）
                "address": "多个电饭锅电饭锅",//--身份证住址
                "email": "sdf@163.com",//--邮箱
                "stockName": "次次",//--股东名称
                "idCardUrlInhand": "https://fengqing-cts-private.oss-cn-beijing.aliyuncs.com/upfile/1558061571921792DBB03/%E6%AC%A1%E6%AC%A1+%E6%89%8B%E6%8C%81.jpg?OSSAccessKeyId=LTAI4JXJQMbTL2EQ&Expires=1582173111&Signature=cSXq84chUxY08Ouyn%2BDXpPLYbkI%3D&x-oss-process=image%2Fauto-orient%2C0",//--身份证手持（附件）
                "shouldCapi": "1000万"//--出资金额
            }
        ],
        "alternative": [ //--备选字号 [‘xxxx’,‘xxx’]
			"北京创业嘉裕科技有限公司",
			"北京家有老板科技有限公司",
			"北京创业佳境科技有限公司"
        ],
        "legalShareholder": [{//--法人股东列表
			"stockName": "汉唐技术",//--法人股东名称
			"stockPercent": "60%",//--出资比例
			"shouldCapi": "600",//--出资金额（万元）
			"creditCode": "91330110MA27WHUA0H",//--社会统一信用代码
			"address": "北京市朝阳区创远路36号院10号楼",//--注册地址
			"phone": "18888888888",//--联系电话
			"email": "ht@gongsibao.com",//--邮箱
			"businessLicense": "https://fengqing-cts-public.oss-cn-beijing.aliyuncs.com/upfile/1556249674596F609A74A/%E8%90%A5%E4%B8%9A%E6%89%A7%E7%85%A7.png"//--营业执照扫描件（附件）
		}],
        "logistics": {//--物流信息
			"recipient": "张晓静",//--收件人
			"recipientPostcode": "100000",//--收件人邮编
			"recipientAddress": "北京市朝阳区创远路36号院10号楼1层102",//--收件人地址
			"recipientPhone": "15044236963"//--收件人联系方式
		},		
        "employees": [//--主要成员列表
            {
                "idCardUrlBack": "https://fengqing-cts-private.oss-cn-beijing.aliyuncs.com/upfile/1558061571920B5CD801B/%E6%AC%A1%E6%AC%A1+%E5%8F%8D.jpg?OSSAccessKeyId=LTAI4JXJQMbTL2EQ&Expires=1582173111&Signature=BbvvNUbP1icAVS6bKXSshFv7MAU%3D&x-oss-process=image%2Fauto-orient%2C0",//--身份证背面（附件）
                "position": "法定代表人",//--职位
                "phone": "18946465464",//--手机号
                "idCardUrlFace": "https://fengqing-cts-private.oss-cn-beijing.aliyuncs.com/upfile/1558061595000D10271B7/1553507239(1).png?OSSAccessKeyId=LTAI4JXJQMbTL2EQ&Expires=1582173111&Signature=Hl214aim3O%2B2NXT4GL6BAp1z9XQ%3D&x-oss-process=image%2Fauto-orient%2C0",//--身份证正面（附件）
                "email": "sdf@163.com",//--邮箱
                "address": "在相辅相成",//--住址
                "fixPhone": "010-16546464",//--固话
                "name": "次次",//--姓名
                "idCardUrlInhand": "https://fengqing-cts-private.oss-cn-beijing.aliyuncs.com/upfile/1558061571921792DBB03/%E6%AC%A1%E6%AC%A1+%E6%89%8B%E6%8C%81.jpg?OSSAccessKeyId=LTAI4JXJQMbTL2EQ&Expires=1582173111&Signature=cSXq84chUxY08Ouyn%2BDXpPLYbkI%3D&x-oss-process=image%2Fauto-orient%2C0",//--身份证手持（附件）
                "education": ""//--学历
            },
            {
                "idCardUrlBack": "",
                "position": "执行董事",
                "phone": "",
                "idCardUrlFace": "",
                "email": "",
                "address": "",
                "fixPhone": "",
                "name": "",
                "idCardUrlInhand": "",
                "education": ""
            }
        ]
    },
    "requestId": "c76a7ff14dd6498c80b9240ff0d75bca"
}
```

## **<a name="getIcbcOrderDeliveryFlowInfo"> 获取工商订单交付流程信息</a>**
[返回到目录](#menu)
##### URL
[/action/tmOrder/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 请求头中需要增加userpin（用户登录后的凭证）的值
#### 渠道执行的类型 actionType：getOrderDeliveryFlowInfo

``` javascript
{
    "channelUserId":"15010929366",// Y 渠道用户Id
    "sourceOrderNo":"OT31202002191453Hpib33"// Y 订单号
}

```

#### 返回结果
```javascript
{
    "status": 0,// 0为成功，否则失败
    "msg": "success",
    "data": [
        {
            "updated": "", //更新时间
            "orderDeliveryStatus": "已下单", //流程状态编码
            "orderDeliveryStatusName": "已下单"//流程状态名称
        },
        {
            "updated": "",
            "orderDeliveryStatus": "已提交材料",
            "orderDeliveryStatusName": "已提交材料"
        }
    ],
    "requestId": "a277fb799d9f4dda9053fb8830f9d252"
}


```