<a name="menu" href="/doc">返回主目录</a>
1. [pc端订单支付二维码生成](#paypc)
1. [通联支付查询](#tlqo)
1. [检查通联支付状态](#checkPayStatusTl)
1. [获取通联支付二维码](#getTlPayQrCode)
1. [通联支付状态通知](#notify)
1. [订单线下支付（上传支付凭证）](#offlinePaymentOrder)

## **<a name="paypc"> 订单支付</a>**
[返回到目录](#menu)
##### URL
[/web/payment/paymentApi/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：getQrCode
``` javascript
    {
        "actionType": "getQrCode", //Y   string    渠道执行的类型
        "actionBody": {
            "uapp_id": "1",   //平台渠道ID
            "order_num": "1", //支付单号
            "total_fee": "1",　　　//支付金额　　分
            "body_desc": "1",　　　　//产品名称
            "op_type": "alipay",   //　支付方式 　alipay阿里　　wx微信
        }
    }
```

#### 返回结果
```javascript
   {
    "status": 0,　　//0 成功　小于0　　失败
    "msg": "SUCCESS",
    "data": {
        "payinfo": "https://syb.allinpay.com/apiweb/h5unionpay/native?key=l6lfPuHDErJrTW%2FN7WxSlg4n",  //二维码ｕｒｌ
        "reqsn": "dfghrtjjn_1",　　////商户订单号_appid
        "chnltrxid": "112094120001042656",　// 支付渠道交易单号,如支付宝,微信平台的交易单号
        "trxid": "112094120001042656",　　// 交易单号,平台的交易流水号
        "trxstatus": "0000"　　　// 交易状态，0000：交易成功、1001：交易不存在、
    },
    "requestId": "058244807fff4ab388bbda79afc04b28"
　　}
```
## **<a name="tlqo"> 订单支付查询</a>**
[返回到目录](#menu)
##### URL
[/web/payment/paymentApi/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：queryOrder
``` javascript
    
    {
        "actionType": "queryOrder", //Y   string    渠道执行的类型
        "actionBody": {
            "uapp_id": "1",   //平台渠道ID
            "trxid":"112094120001042656"　　//支付渠道交易单号，如支付宝,微信平台的交易单号
        }
    }
```

#### 返回结果
```javascript
   {
    "status": 0,
    "msg": "SUCCESS",
    "data": {
        "trxcode": "VSP501", //交易类型，VSP501  微信支付、VSP511 支付宝支付
        "trxamt": "100",  //交易金额 单位为分
        "reqsn": "dfghrtjjn_1",  //商户订单号_uappid
        "trxid": "112094120001042656",// 交易单号,平台的交易流水号
        "trxstatus": "3045", // 交易状态，0000：交易成功、1001：交易不存在、
        //2008或者2000 : 交易处理中,请查询交易,如果是实时交易(例如刷卡支付,交易撤销,退货),建议每隔一段时间(10秒)查询交易、
        //3888-流水号重复、其他3开头的错误码代表交易失败
        "fintime": "20200107180458",  // 交易完成时间 yyyyMMddHHmmss
        "errmsg": "超时未支付"  // 错误原因
    },
    "requestId": "cc7d75a1e7084aeeb082176cd9efdb4f"
}
```

## **<a name="checkPayStatusTl"> 检查通联支付状态</a>**
[返回到目录](#menu)
##### URL
[/action/tmOrder/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：checkPayStatusTl
``` javascript
{
        "actionType": "checkPayStatusTl",
        "actionProcess":"1688",
        "actionBody": {
            "wxPayOrderCode": "112094120001045091","aliPayOrderCode":"112094120001045091","op_type":"wx","orderCode":"TM201912281609Xr7QQ7",
            "orderNo": "TM201912281609Xr7QQ7"
        }
 }
```

#### 返回结果
```javascript
{
    "status":0,
    "msg":"success",
    "data":{
        "busPayOrderCode":"",
        "code":"",
        "app_id":"",
        "sveItemCode":"",
        "sveItemName":"",
        "totalSum":"",
        "orderPayStatus":"yfk"
    },
    "requestId":"1c23b0fc45d6416587bedfee16affd9d"
}
```


## **<a name="getTlPayQrCode"> 获取通联支付二维码</a>**
[返回到目录](#menu)
##### URL
[/action/tmOrder/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：getTlPayQrCode
``` javascript
{
        "actionType": "getTlPayQrCode",
        "actionProcess":"1688",
        "actionBody": {
            "opType": "wx",
            "orderNo": "TM201912281609Xr7QQ7"
        }
 }
```

#### 返回结果
```javascript
{
    "status":0,
    "msg":"SUCCESS",
    "data":{
        "payinfo":"https://syb.allinpay.com/apiweb/h5unionpay/native?key=o%2BoVfi6L18cctUgywatVbK5E",
        "reqsn":"qftTM201912281609Xr7QQ7_9",
        "chnltrxid":"112094120001045091",
        "trxid":"112094120001045091",
        "trxstatus":"0000",
        "order":{
            "id":456,
            "orderNo":"TM201912251822SEEWXj",
            "itemCode":"zzsbzc",
            "itemName":"商标自助注册",
            "channelItemCode":"商标自助注册",
            "channelItemName":"商标自助注册",
            "salesNum":1,
            "orderPayStatus":"dfk",
            "orderPayStatusName":"待付款",
            "totalSum":"300.00",
            "created_at":"2019-12-25T10:22:08.000Z"
        }
    },
    "requestId":"2f48327473654bb897449c0263ca268d"
}
```



## **<a name="notify"> 通联支付状态通知</a>**
[返回到目录](#menu)
##### URL
[/tlpay/notify]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
``` javascript
{
"acct":"opn0buP0OjoLAZ1dc8f1SH5V5Vkc",
"appid":"00000003",
"chnlid":"205299480",
"chnltrxid":"4200000504202001127050821106",
"cmid":"310851053",
"cusid":"990440148166000",
"cusorderid":"qftTM202001101929VJ19p8_9",
"fee":"0",
"out_trade_no":"TM202001101929VJ19p8",
"outtrxid":"qftTM202001101929VJ19p8_9",
"paytime":"20200112181402",
"sign":"B49474F67A785DF145FC42A2DFA57272",
"signtype":"MD5",
"termauthno":"OTHERS",
"termrefnum":"4200000504202001127050821106",
"termtraceno":"0",
"trxamt":"1",
"trxcode":"VSP501",
"trxdate":"20200112",
"trxid":"112094120001045147",
"trxstatus":"0000",
"uappid":"9"
}
```

#### 返回结果
```javascript
{
    "status":0,
    "msg":"success",
    "data":{
        "orderPayStatus":"yfk"
    }
}
```


## **<a name="offlinePaymentOrder"> 订单线下支付（上传支付凭证）</a>**
[返回到目录](#menu)
##### URL
[/action/tmOrder/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：offlinePaymentOrder

``` javascript
 {
        "actionType": "offlinePaymentOrder",
        "actionProcess":"1688",
        "actionBody": {
            "paymentVoucher": "https://gsb-zc.oss-cn-beijing.aliyuncs.com//zc_yxq277220191151575539914017.jpg",
            "channelUserId":"testUserId01",
            "orderNo": "TM202001101929B0ghUQ"
        }
 }

```

#### 返回结果
```javascript
{
    "status":0,
    "msg":"success",
    "data":null,
    "requestId":"afda73d44d524c8fbb6dd66dab9e1aef"
}
```


